@charset "UTF-8";
/* CSS Document */
/*
Theme Name: devrtech
Description: Child Theme of Generic
Author: Ren&#233;e LeBlanc
Version: 26.0 [dev]
Template: generic
*/

@font-face { font-family: 'montserratlight';
    src: url('fonts/montserrat-light-FS.woff2') format('woff2'),
         url('fonts/montserrat-light-FS.woff') format('woff');
    font-weight: normal;
    font-style: normal; }

body,#search .search-field,#search input[type=submit]{font-family:"montserratlight",sans-serif;font-size:18px;line-height:1.5em;word-wrap:break-word;}
#search .search-field,#search input[type=submit]{box-shadow:0;outline:none;border:0;}
#search .search-field{width:200px;}

body,#wrapper,#container,header,#content,#sidebar,#footer{margin:0;padding:0;border:0;}
html,body,#header,#top-menu,#top-search,#wrapper,#footer{min-width:100%;max-width:100%;width:100%;}
#search,#branding,#menu,#container,#content{max-width:800px;margin:0 auto;}

#branding{display:grid;grid-template-rows:auto auto;grid-template-columns:13% 83%;grid-column-gap:4%}
#site-logo{grid-area:1/1/3/2;padding:10px 0 20px;}
#site-title{grid-area:1/2/2/3;padding:40px 0 0}
#site-description{grid-area:2/2/3/3;margin-top:-20px;}

#top-search{margin:5px 0 20px;}
#search{text-align:right;}
#search .search-field{width:200px;margin-right:5px;}
#search .search-field,#search input[type=submit]{padding:7px 10px}
#search input[type=submit]{margin-right:10px;}

.widget-container .search-field{width:100%}
.error404 .entry-content .search-field, .search .entry-content .search-field{width:200px;margin-top:30px}
.error404 .entry-content .search-field, .search .entry-content .search-field, .widget-container .search-field{}

nav{z-index:99999;}
#menu{margin:0 auto;float:none;position:relative;padding-bottom:10px;}
#menu div:first-of-type{float:none;text-align:right;}
#menu ul{font-size:0}
#menu ul, #menu li, #menu a{position:relative;display:inline;list-style:none;margin:0;padding:0;transition:unset;}
#menu li.menu-item-has-children > a:after, #menu li.page_item_has_children > a:after{display:inline-block;font-style:normal;font-variant:normal;text-rendering:auto;-webkit-font-smoothing: antialiased;font-family:"Font Awesome 5 Pro";font-weight:900;content:'\f0da';margin-left:10px;}
#menu li.current-menu-item a, #menu li.current_page_parent a{}
#menu a{display:inline-block;font-size:14px;text-align:left;text-decoration:none;line-height:33px;padding-bottom:0;margin-top:-1px;padding:0 20px;font-weight:300;}
#menu a:hover, #menu a:focus{text-decoration:none;transition:all 0.5s ease}
#menu ul.sub-menu, #menu ul.children{position:absolute;display:block;top:100%;left:-9999px;margin-top:20px;}
#menu ul.sub-menu a, #menu ul.children a{width:200px;font-size:14px;text-align:left;line-height:20px;padding:15px;}
#menu ul.sub-menu a:hover, #menu ul.sub-menu a:focus, #menu ul.children a:hover, #menu ul.children a:focus{}
#menu li.menu-item-has-children a:hover + ul.sub-menu, #menu li.menu-item-has-children a:focus + ul.sub-menu, #menu li.menu-item-has-children a + ul.sub-menu:hover, #menu li.menu-item-has-children a + ul.sub-menu:focus-within, #menu li.page_item_has_children a:hover + ul.children, #menu li.page_item_has_children a:focus + ul.children, #menu li.page_item_has_children a + ul.children:hover, #menu li.page_item_has_children a + ul.children:focus-within{left:0;z-index:999999;}
#menu .menu-toggle{text-align:center;padding:0;border:0;margin:0;background:none;transition:unset;display:none;}
#menu .menu-toggle:hover, #menu .menu-toggle:focus{border:0;outline:0;}
#menu .menu-icon{font-size:40px;}

#sidebar ul,#sidebar ul li,#menu ul,#menu li,#menu-footer ul,#menu-footer li,#comments ul,#comments li{list-style:none;margin:0;padding:0;}

.clear,.grid,#search,.section{clear:both;float:none;}
.post-edit-link,#search,#top-search/*,.grid-info*/,.nav-links{display:none;}

/***************/

img{width:100%;height:auto !important;}
.alignleft{margin:0 30px 30px 0;float:left}
.alignright{margin:0 0 30px 30px;float:right}
.aligncenter{display:block;margin:30px auto;clear:both}
p.wp-caption-text strong{font-weight:normal;font-size:.8em;font-style:italic;}
.wp-caption{padding:10px;}
#content img{max-width:300px;}

#search input.search-field{box-shadow:0;}
.front .buttons .cat:hover{box-shadow:0px 0px 10px 0px #999;overflow:hidden;}
x{border-radius:50%;}
#search input[type=submit],.front .buttons .cat{border-radius:5px;}

a,a:hover,img,.button,.button:hover,button,button:hover,#search input{transition:all 0.8s ease}

/***************/

a{text-decoration:none;}
#search input[type=submit],h1.entry-title,h2{text-transform:uppercase;}
#menu ul li a{text-transform:lowercase;}
#site-description{text-transform:capitalize;}

h1,h2,h3,h4,h5,h6{font-weight:400;margin:0;padding:0;}
h1{font-size:1.7em;}
h2{font-size:1.3em;padding-top:10px;}
h3{font-size:1.3em;}
h4{font-size:1.2em;}
h5{font-size:1em;}
h6{font-size:1em;}

h1.entry-title{padding:30px 0 20px;}
.entry-main{padding-right:40px;}
.entry-content .tagline{font-size:1.1em;padding:20px 0;}

#menu .menu-toggle{font-size:2em;}
#menu.toggled a, #menu.toggled ul.sub-menu a, #menu.toggled ul.children a{font-size:.8em;}
#menu a{margin-top:12px;}
#site-logo{font-size:6em;}
#site-title{font-size:3em;}
#site-description{font-size:1.11em;}
#search input[type=submit]{font-size:.9em;}
.grid-why{font-size:.6em;line-height:1em;}
.entry-content strong{font-weight:900}

/***************/

a,.fa-arrow-right-to-dotted-line{color:#c6460a;}
a:hover{color:#c60;}

#header a,#menu a:hover, #menu a:focus,#menu ul.sub-menu a:hover, #menu ul.sub-menu a:focus, #menu ul.children a:hover, #menu ul.children a:focus,#menu .menu-toggle:hover, #menu .menu-toggle:focus,.front .buttons a .cat:hover,.current-menu-parent > a, .current-menu-item > a,.affiliate-thanks{color:#d1f625;}
#search input{background:yellowgreen;}
.front .buttons a .cat{border-right:8px solid yellowgreen;}

#header a:hover{color:#c0e514;}
#search input:hover{background:#c0e514;}

.entry-content strong{color:#f28500;}

.navigation li a:hover,.navigation li.active a,#search input[type=submit],#menu a{color:#fff;}
#top-search,#search input.search-field,.flag{background:#fff;}
.grid-info{background:#efefef;}
#search .search-field:focus{border-color:#eee;}
#search .search-field,.navigation li a,.entry-image img{border:1px solid #ddd;}
.entry-content-grid{border-bottom:1px solid #ddd;}
.front .buttons a .cat{color:#ddd;}
.affiliate-info{color:#ccc}
.navigation li a:hover,.navigation li.active a{background:#bbb;}
.navigation li a,li.navdots,#site-description,a .entry-img-caption{color:#aaa;}
.navigation li.disabled{background:#999;}
#footer,#menu .menu-toggle,#search .search-field{color:#999;}
body,.grid a .grid-why{color:#777;}
#branding #site-logo .logo{color:#666;}
#menu.toggled a:hover, #menu.toggled ul.sub-menu a:hover, #menu.toggled ul.children a:hover,#menu.toggled a:focus, #menu.toggled ul.sub-menu a:focus, #menu.toggled ul.children a:focus{background:#666;}
#menu.toggled ul,#menu .menu-toggle:focus{background:#555;}
#header,#footer,#menu ul li a:hover,#menu ul li a:focus,#menu ul li a:active,.front .buttons .cat,.current-menu-parent > a, .current-menu-item > a{background:#444;}
#top-menu{background:#333;}
.announcement{background:#222;}
.tagline{color:#000;}

.fa-canadian-maple-leaf{color:#f00;}
.flag{border:8px solid #f00;border-top:0;border-bottom:0;}

/**************/

.grid{display:grid;grid-template-columns:repeat(auto-fill, minmax(160px,1fr));grid-gap:40px;margin-top:50px;}
.grid-item{height:250px;}
.grid-info{text-align:center;height:80px;padding:4px 0 0;margin-top:-6px;}
h2.grid-title{font-size:.9em;line-height:1em;padding:8px 0 15px;}
.grid-why{padding:3px 0 2px;}
.fa-arrow-right-to-dotted-line{font-size:1.5em;}
.grid-info{}
.grid-title{display:table-cell;vertical-align:middle;}

/**********/

.front .entry-content{width:48%;float:left;}
.front .buttons{width:43%;float:right;}
.front .buttons .cat{margin:0 auto 10px;padding:15px;text-align:center;}
.section.badges{padding-top:30px;}

/**********/

#content{padding:40px 20px 150px;}

.entry-content-grid{padding-bottom:30px;}
.entry-img-caption{font-size:.8em;line-height:1em;text-align:center;padding-top:15px;}
.entry-content-grid{display:table;}
.entry-main,.entry-image{display:table-cell;vertical-align:top;}
.entry-image{width:30%;}
.entry-links{margin:30px auto;width:50%;}

.announcement{padding:10px;overflow:auto;}
.flag{width:15px;height:20px;text-align:center;}
.fa-canadian-maple-leaf{font-size:.7em;margin:-5px}

#footer{position:fixed;bottom:0;left:0;right:0;}
#copyright{padding:10px 0;width:50%;text-align:center;margin:0 auto;}
.affiliate-info{font-size:.8em;text-align:center;font-style:italic;padding-top:10px;}

/***************** browser reset *****************************/
@media screen and (max-width:960px) and (min-width:960px) {
html,body,#branding,#menu,#container,#content,#wrapper,#header,#container,#footer{min-width:100%;max-width:100%;width:100%;}
}

@media screen and (max-width:768px){
.padfix{padding:20px;}
#branding,#site-logo,#site-title,#site-description{display:block;text-align:center;float:none;clear:both;padding:0;margin:0;}
#site-description{padding:20px 40px;}
}

@media screen and (max-width:479px){

}
